Closed Bug 1533759 Opened 1 year ago Closed 5 months ago

Intermittent GECKO(3405) | Assertion failure: access != nsContentUtils::StorageAccess::eDeny || rejectedReason == nsIWebProgressListener::STATE_COOKIES_BLOCKED_FOREIGN, at /builds/worker/workspace/build/src/dom/storage/Storage.cpp:42

Categories

(Core :: Storage: localStorage & sessionStorage, defect, P3)

defect

Tracking

()

RESOLVED DUPLICATE of bug 1558420

People

(Reporter: intermittent-bug-filer, Unassigned)

References

Details

(Keywords: intermittent-failure, regression, Whiteboard: [waiting for 1570741][stockwell disabled])

Attachments

(3 files)

#[markdown(off)]
Filed by: opoprus [at] mozilla.com

https://treeherder.mozilla.org/logviewer.html#?job_id=232641649&repo=autoland

https://queue.taskcluster.net/v1/task/T2Xl9ODMSt-tL1wxREhw3Q/runs/0/artifacts/public/logs/live_backing.log

[task 2019-03-08T12:33:07.562Z] 12:33:07 INFO - TEST-START | dom/html/test/test_window_open_close.html

[task 2019-03-08T12:33:12.378Z] 12:33:12 INFO - GECKO(3405) | Assertion failure: access != nsContentUtils::StorageAccess::eDeny || rejectedReason == nsIWebProgressListener::STATE_COOKIES_BLOCKED_FOREIGN, at /builds/worker/workspace/build/src/dom/storage/Storage.cpp:42
[task 2019-03-08T12:34:49.305Z] 12:34:49 INFO - GECKO(3405) | #01: mozilla::dom::Storage::Storage(nsPIDOMWindowInner*, nsIPrincipal*) [mfbt/Assertions.h:38]
[task 2019-03-08T12:34:49.309Z] 12:34:49 INFO -
[task 2019-03-08T12:34:49.309Z] 12:34:49 INFO - GECKO(3405) | #02: mozilla::dom::SessionStorage::SessionStorage(nsPIDOMWindowInner*, nsIPrincipal*, mozilla::dom::SessionStorageCache*, mozilla::dom::SessionStorageManager*, nsTSubstring<char16_t> const&, bool) [dom/storage/SessionStorage.cpp:42]
[task 2019-03-08T12:34:49.310Z] 12:34:49 INFO -
[task 2019-03-08T12:34:49.312Z] 12:34:49 INFO - GECKO(3405) | #03: mozilla::dom::SessionStorageManager::GetStorage(mozIDOMWindow*, nsIPrincipal*, bool, mozilla::dom::Storage**) [dom/storage/SessionStorageManager.cpp:129]
[task 2019-03-08T12:34:49.313Z] 12:34:49 INFO -
[task 2019-03-08T12:34:49.315Z] 12:34:49 INFO - GECKO(3405) | #04: nsDocShell::GetStorage(mozIDOMWindow*, nsIPrincipal*, bool, mozilla::dom::Storage**) [docshell/base/nsDocShell.h:201]
[task 2019-03-08T12:34:49.316Z] 12:34:49 INFO -
[task 2019-03-08T12:34:49.317Z] 12:34:49 INFO - GECKO(3405) | #05: non-virtual thunk to nsDocShell::GetStorage(mozIDOMWindow*, nsIPrincipal*, bool, mozilla::dom::Storage**) [docshell/base/nsDocShell.h:0]
[task 2019-03-08T12:34:49.318Z] 12:34:49 INFO -
[task 2019-03-08T12:34:49.319Z] 12:34:49 INFO - GECKO(3405) | #06: nsWindowWatcher::OpenWindowInternal(mozIDOMWindowProxy*, char const*, char const*, char const*, bool, bool, bool, nsIArray*, bool, bool, nsDocShellLoadState*, mozIDOMWindowProxy**) [mfbt/RefPtr.h:291]
[task 2019-03-08T12:34:49.319Z] 12:34:49 INFO -
[task 2019-03-08T12:34:49.320Z] 12:34:49 INFO - GECKO(3405) | #07: nsWindowWatcher::OpenWindow2(mozIDOMWindowProxy*, char const*, char const*, char const*, bool, bool, bool, nsISupports*, bool, bool, nsDocShellLoadState*, mozIDOMWindowProxy**) [toolkit/components/windowwatcher/nsWindowWatcher.cpp:365]
[task 2019-03-08T12:34:49.321Z] 12:34:49 INFO -
[task 2019-03-08T12:34:49.322Z] 12:34:49 INFO - GECKO(3405) | #08: non-virtual thunk to nsWindowWatcher::OpenWindow2(mozIDOMWindowProxy*, char const*, char const*, char const*, bool, bool, bool, nsISupports*, bool, bool, nsDocShellLoadState*, mozIDOMWindowProxy**) [toolkit/components/windowwatcher/nsWindowWatcher.cpp:0]
[task 2019-03-08T12:34:49.323Z] 12:34:49 INFO -
[task 2019-03-08T12:34:49.324Z] 12:34:49 INFO - GECKO(3405) | #09: nsGlobalWindowOuter::OpenInternal(nsTSubstring<char16_t> const&, nsTSubstring<char16_t> const&, nsTSubstring<char16_t> const&, bool, bool, bool, bool, bool, nsIArray*, nsISupports*, nsDocShellLoadState*, bool, nsPIDOMWindowOuter**) [dom/base/nsGlobalWindowOuter.cpp:7203]
[task 2019-03-08T12:34:49.325Z] 12:34:49 INFO -
[task 2019-03-08T12:34:49.326Z] 12:34:49 INFO - GECKO(3405) | #10: non-virtual thunk to nsGlobalWindowOuter::OpenNoNavigate(nsTSubstring<char16_t> const&, nsTSubstring<char16_t> const&, nsTSubstring<char16_t> const&, nsPIDOMWindowOuter**) [dom/base/nsGlobalWindowOuter.cpp:0]
[task 2019-03-08T12:34:49.327Z] 12:34:49 INFO -
[task 2019-03-08T12:34:49.328Z] 12:34:49 INFO - GECKO(3405) | #11: nsDocShell::PerformRetargeting(nsDocShellLoadState*, nsIDocShell**, nsIRequest**) [docshell/base/nsDocShell.cpp:8728]
[task 2019-03-08T12:34:49.329Z] 12:34:49 INFO -
[task 2019-03-08T12:34:49.330Z] 12:34:49 INFO - GECKO(3405) | #12: nsDocShell::InternalLoad(nsDocShellLoadState*, nsIDocShell**, nsIRequest**) [docshell/base/nsDocShell.cpp:0]
[task 2019-03-08T12:34:49.331Z] 12:34:49 INFO -
[task 2019-03-08T12:34:49.332Z] 12:34:49 INFO - GECKO(3405) | #13: nsDocShell::OnLinkClickSync(nsIContent*, nsIURI*, nsTSubstring<char16_t> const&, nsTSubstring<char16_t> const&, nsIInputStream*, nsIInputStream*, bool, nsIDocShell**, nsIRequest**, bool, nsIPrincipal*, nsIContentSecurityPolicy*) [docshell/base/nsDocShell.cpp:12700]
[task 2019-03-08T12:34:49.333Z] 12:34:49 INFO -
[task 2019-03-08T12:34:49.334Z] 12:34:49 INFO - GECKO(3405) | #14: OnLinkClickEvent::Run() [docshell/base/nsDocShell.cpp:12410]
[task 2019-03-08T12:34:49.335Z] 12:34:49 INFO -
[task 2019-03-08T12:34:49.337Z] 12:34:49 INFO - GECKO(3405) | #15: mozilla::SchedulerGroup::Runnable::Run() [xpcom/base/nsCOMPtr.h:412]
[task 2019-03-08T12:34:49.338Z] 12:34:49 INFO -
[task 2019-03-08T12:34:49.339Z] 12:34:49 INFO - GECKO(3405) | #16: nsThread::ProcessNextEvent(bool, bool*) [xpcom/threads/nsThread.cpp:1166]
[task 2019-03-08T12:34:49.340Z] 12:34:49 INFO -
[task 2019-03-08T12:34:49.341Z] 12:34:49 INFO - GECKO(3405) | #17: NS_ProcessNextEvent(nsIThread*, bool) [xpcom/threads/nsThreadUtils.cpp:482]
[task 2019-03-08T12:34:49.342Z] 12:34:49 INFO -
[task 2019-03-08T12:34:49.343Z] 12:34:49 INFO - GECKO(3405) | #18: mozilla::ipc::MessagePump::Run(base::MessagePump::Delegate*) [ipc/glue/MessagePump.cpp:89]
[task 2019-03-08T12:34:49.344Z] 12:34:49 INFO -
[task 2019-03-08T12:34:49.345Z] 12:34:49 INFO - GECKO(3405) | #19: MessageLoop::RunInternal() [ipc/chromium/src/base/message_loop.cc:315]
[task 2019-03-08T12:34:49.346Z] 12:34:49 INFO -
[task 2019-03-08T12:34:49.348Z] 12:34:49 INFO - GECKO(3405) | #20: MessageLoop::Run() [ipc/chromium/src/base/message_loop.cc:584]
[task 2019-03-08T12:34:49.349Z] 12:34:49 INFO -
[task 2019-03-08T12:34:49.350Z] 12:34:49 INFO - GECKO(3405) | #21: nsBaseAppShell::Run() [widget/nsBaseAppShell.cpp:139]
[task 2019-03-08T12:34:49.351Z] 12:34:49 INFO -
[task 2019-03-08T12:34:49.352Z] 12:34:49 INFO - GECKO(3405) | #22: XRE_RunAppShell() [toolkit/xre/nsEmbedFunctions.cpp:911]
[task 2019-03-08T12:34:49.353Z] 12:34:49 INFO -
[task 2019-03-08T12:34:49.354Z] 12:34:49 INFO - GECKO(3405) | #23: mozilla::ipc::MessagePumpForChildProcess::Run(base::MessagePump::Delegate*) [ipc/glue/MessagePump.cpp:238]
[task 2019-03-08T12:34:49.355Z] 12:34:49 INFO -
[task 2019-03-08T12:34:49.356Z] 12:34:49 INFO - GECKO(3405) | #24: MessageLoop::RunInternal() [ipc/chromium/src/base/message_loop.cc:315]
[task 2019-03-08T12:34:49.357Z] 12:34:49 INFO -
[task 2019-03-08T12:34:49.358Z] 12:34:49 INFO - GECKO(3405) | #25: MessageLoop::Run() [ipc/chromium/src/base/message_loop.cc:584]
[task 2019-03-08T12:34:49.359Z] 12:34:49 INFO -
[task 2019-03-08T12:34:49.360Z] 12:34:49 INFO - GECKO(3405) | #26: XRE_InitChildProcess(int, char**, XREChildData const*) [toolkit/xre/nsEmbedFunctions.cpp:753]
[task 2019-03-08T12:34:49.361Z] 12:34:49 INFO -
[task 2019-03-08T12:34:49.362Z] 12:34:49 INFO - GECKO(3405) | #27: mozilla::BootstrapImpl::XRE_InitChildProcess(int, char**, XREChildData const*) [toolkit/xre/Bootstrap.cpp:61]
[task 2019-03-08T12:34:49.363Z] 12:34:49 INFO -
[task 2019-03-08T12:34:49.871Z] 12:34:49 INFO - GECKO(3405) | #28: main [ipc/contentproc/plugin-container.cpp:49]
[task 2019-03-08T12:34:49.873Z] 12:34:49 INFO -
[task 2019-03-08T12:34:49.875Z] 12:34:49 INFO - GECKO(3405) | [Parent 3405, Gecko_IOThread] WARNING: pipe error (87): Connection reset by peer: file /builds/worker/workspace/build/src/ipc/chromium/src/chrome/common/ipc_channel_posix.cc, line 357
[task 2019-03-08T12:34:49.876Z] 12:34:49 INFO - GECKO(3405) | ###!!! [Parent][MessageChannel] Error: (msgtype=0x1E0089,name=PBrowser::Msg_Destroy) Channel error: cannot send/recv
[task 2019-03-08T12:34:49.878Z] 12:34:49 INFO - GECKO(3405) | ###!!! [Parent][MessageChannel] Error: (msgtype=0x1E0089,name=PBrowser::Msg_Destroy) Channel error: cannot send/recv
[task 2019-03-08T12:34:49.880Z] 12:34:49 INFO - GECKO(3405) | ++DOCSHELL 0xcfe15c00 == 9 [pid = 3405] [id = {d1a9557f-34a5-4f7d-bd30-09f27fd97461}]
[task 2019-03-08T12:34:49.888Z] 12:34:49 INFO - GECKO(3405) | ++DOMWINDOW == 17 (0xdda66ac0) [pid = 3405] [serial = 151] [outer = (nil)]
[task 2019-03-08T12:34:49.889Z] 12:34:49 INFO - GECKO(3405) | ++DOMWINDOW == 18 (0xcfe1b000) [pid = 3405] [serial = 152] [outer = 0xdda66ac0]
[task 2019-03-08T12:34:49.891Z] 12:34:49 INFO - GECKO(3405) | ++DOCSHELL 0xcfe1c400 == 10 [pid = 3405] [id = {cec33c8b-7303-415f-9376-2e4a9ef549e8}]
[task 2019-03-08T12:34:49.893Z] 12:34:49 INFO - GECKO(3405) | ++DOMWINDOW == 19 (0xdda66bd0) [pid = 3405] [serial = 153] [outer = (nil)]
[task 2019-03-08T12:34:49.895Z] 12:34:49 INFO - GECKO(3405) | ++DOMWINDOW == 20 (0xd02c3400) [pid = 3405] [serial = 154] [outer = 0xdda66bd0]
[task 2019-03-08T12:34:49.897Z] 12:34:49 INFO - GECKO(3405) | A content process crashed and MOZ_CRASHREPORTER_SHUTDOWN is set, shutting down
[task 2019-03-08T12:34:49.898Z] 12:34:49 INFO - GECKO(3405) | ++DOMWINDOW == 21 (0xdc35c000) [pid = 3405] [serial = 155] [outer = 0xdda66ac0]
[task 2019-03-08T12:34:49.900Z] 12:34:49 INFO - GECKO(3405) | ++DOMWINDOW == 22 (0xd02c7800) [pid = 3405] [serial = 156] [outer = 0xdda66bd0]
[task 2019-03-08T12:34:49.901Z] 12:34:49 INFO - GECKO(3405) | [Parent 3405, Main Thread] WARNING: NS_ENSURE_SUCCESS(mStatus, *this) failed with result 0x804B000A: file /builds/worker/workspace/build/src/obj-firefox/dist/include/nsIURIMutator.h, line 472
[task 2019-03-08T12:34:49.901Z] 12:34:49 INFO - GECKO(3405) | [Parent 3405, Main Thread] WARNING: NS_ENSURE_SUCCESS(mStatus, mStatus) failed with result 0x804B000A: file /builds/worker/workspace/build/src/obj-firefox/dist/include/nsIURIMutator.h, line 622
[task 2019-03-08T12:34:49.901Z] 12:34:49 INFO - GECKO(3405) | [Parent 3405, Main Thread] WARNING: NS_ENSURE_SUCCESS(mStatus, *this) failed with result 0x804B000A: file /builds/worker/workspace/build/src/obj-firefox/dist/include/nsIURIMutator.h, line 472
[task 2019-03-08T12:34:49.902Z] 12:34:49 INFO - GECKO(3405) | [Parent 3405, Main Thread] WARNING: NS_ENSURE_SUCCESS(mStatus, mStatus) failed with result 0x804B000A: file /builds/worker/workspace/build/src/obj-firefox/dist/include/nsIURIMutator.h, line 622
[task 2019-03-08T12:34:49.902Z] 12:34:49 INFO - GECKO(3405) | --DOMWINDOW == 7 (0xf71669b0) [pid = 3489] [serial = 1] [outer = (nil)] [url = moz-extension://5a668463-60b8-42b7-9dfa-ed81ec5aa1a9/_generated_background_page.html]
[task 2019-03-08T12:34:49.902Z] 12:34:49 INFO - GECKO(3405) | --DOMWINDOW == 6 (0xf7166df0) [pid = 3489] [serial = 3] [outer = (nil)] [url = moz-extension://6e537df5-88fc-4187-8b9a-0d1249185b62/_generated_background_page.html]
[task 2019-03-08T12:34:49.902Z] 12:34:49 INFO - GECKO(3405) | --DOMWINDOW == 5 (0xf7167340) [pid = 3489] [serial = 5] [outer = (nil)] [url = moz-extension://1c17fcbc-9360-48b1-b98b-8d3da8bbaa3a/_generated_background_page.html]
[task 2019-03-08T12:34:49.907Z] 12:34:49 INFO - GECKO(3405) | --DOMWINDOW == 4 (0xf7167450) [pid = 3489] [serial = 7] [outer = (nil)] [url = moz-extension://9cb037cd-026d-453d-9d06-00e50185552a/_generated_background_page.html]
[task 2019-03-08T12:34:49.907Z] 12:34:49 INFO - GECKO(3405) | --DOCSHELL 0xe7c6cc00 == 3 [pid = 3489] [id = {d9a81f7e-49b0-486b-88cf-7fb1d1e6a75d}] [url = moz-extension://6e537df5-88fc-4187-8b9a-0d1249185b62/_generated_background_page.html]
[task 2019-03-08T12:34:49.908Z] 12:34:49 INFO - GECKO(3405) | --DOCSHELL 0xf7192c00 == 2 [pid = 3489] [id = {9c94723d-d4be-411c-bfdc-e27bc5647aae}] [url = moz-extension://1c17fcbc-9360-48b1-b98b-8d3da8bbaa3a/_generated_background_page.html]
[task 2019-03-08T12:34:49.909Z] 12:34:49 INFO - GECKO(3405) | --DOCSHELL 0xe7893000 == 1 [pid = 3489] [id = {25dea7e2-8459-4e49-8593-b9ad950bc996}] [url = moz-extension://9cb037cd-026d-453d-9d06-00e50185552a/_generated_background_page.html]
[task 2019-03-08T12:34:49.910Z] 12:34:49 INFO - GECKO(3405) | --DOCSHELL 0xe7408800 == 0 [pid = 3489] [id = {8a03b5e3-e2b3-4daf-8cb9-e913cf6c3f83}] [url = moz-extension://5a668463-60b8-42b7-9dfa-ed81ec5aa1a9/_generated_background_page.html]
[task 2019-03-08T12:34:49.913Z] 12:34:49 INFO - GECKO(3405) | --DOMWINDOW == 3 (0xe789fc00) [pid = 3489] [serial = 14] [outer = (nil)] [url = moz-extension://9cb037cd-026d-453d-9d06-00e50185552a/_generated_background_page.html]
[task 2019-03-08T12:34:49.914Z] 12:34:49 INFO - GECKO(3405) | --DOMWINDOW == 2 (0xe789f000) [pid = 3489] [serial = 13] [outer = (nil)] [url = moz-extension://1c17fcbc-9360-48b1-b98b-8d3da8bbaa3a/_generated_background_page.html]
[task 2019-03-08T12:34:49.914Z] 12:34:49 INFO - GECKO(3405) | --DOMWINDOW == 1 (0xe789e400) [pid = 3489] [serial = 12] [outer = (nil)] [url = moz-extension://6e537df5-88fc-4187-8b9a-0d1249185b62/_generated_background_page.html]
[task 2019-03-08T12:34:49.915Z] 12:34:49 INFO - GECKO(3405) | --DOMWINDOW == 0 (0xe789d800) [pid = 3489] [serial = 11] [outer = (nil)] [url = moz-extension://5a668463-60b8-42b7-9dfa-ed81ec5aa1a9/_generated_background_page.html]
[task 2019-03-08T12:34:49.915Z] 12:34:49 INFO - GECKO(3405) | nsStringStats
[task 2019-03-08T12:34:49.916Z] 12:34:49 INFO - GECKO(3405) | => mAllocCount: 26993
[task 2019-03-08T12:34:49.916Z] 12:34:49 INFO - GECKO(3405) | => mReallocCount: 0
[task 2019-03-08T12:34:49.917Z] 12:34:49 INFO - GECKO(3405) | => mFreeCount: 26993
[task 2019-03-08T12:34:49.917Z] 12:34:49 INFO - GECKO(3405) | => mShareCount: 12181
[task 2019-03-08T12:34:49.918Z] 12:34:49 INFO - GECKO(3405) | => mAdoptCount: 492
[task 2019-03-08T12:34:49.918Z] 12:34:49 INFO - GECKO(3405) | => mAdoptFreeCount: 528
[task 2019-03-08T12:34:49.918Z] 12:34:49 INFO - GECKO(3405) | => Process ID: 3489, Thread ID: 4147480320

(In reply to Alexandru Michis [:malexandru] from comment #26)

Hsin-Yi, this failure has spiked since either Bug 1523638 or Bug 1566643 landed on autoland: https://treeherder.mozilla.org/#/jobs?repo=autoland&group_state=expanded&searchStr=linux%2Cx64%2Cquantumrender%2Cdebug%2Cmochitests%2Ctest-linux64-qr%2Fdebug-mochitest-e10s-4%2Cm%284%29&tochange=502f9904fefcd2be9af9beb79df12e4937e25ab5&fromchange=6065f42eab8e68f86b83f693e8b8fc01f9e6b81a

What can be done about this?

Nika worked on both the bugs; she may know the best. While Nika is taking days off these weeks, do you know who else can suggest the next step here, Neha? Thanks!

Flags: needinfo?(htsai) → needinfo?(nkochar)
Whiteboard: [stockwell disable-recommended] → [stockwell needswork]

Nika is on PTO currently and I also see that it has gone down to 0 now. Please add ni if it seems to increase in frequency again, enough to warrant another look.

Flags: needinfo?(nkochar)

Bug 1570741 explains what's going on here...

See Also: → 1570741
Whiteboard: [stockwell disable-recommended] → [waiting for 1570741]
Whiteboard: [waiting for 1570741][stockwell disable-recommended] → [waiting for 1570741]
Whiteboard: [waiting for 1570741][stockwell disable-recommended] → [waiting for 1570741]

I checked ~20 logs and this occurs in [task 2019-08-31T02:14:47.238Z] 02:14:47 INFO - TEST-START | dom/html/test/test_window_open_close.html

Looks like that is the last test so let's see if disabling it helps with the failure rate.

Keywords: leave-open
Whiteboard: [waiting for 1570741][stockwell disable-recommended] → [waiting for 1570741][stockwell disabled]
Pushed by apavel@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/9f42a1117de2
disabled test_window_open_close.html on linux64 qr r=intermittent-reviewers,gbrown
Duplicate of this bug: 1576669

This assertion is hitting also on windows10-64 debug and has spiked in the last couple of days https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?startday=2019-09-23&endday=2019-09-30&tree=trunk&bug=1533759, making a patch to disable dom/html/test/test_window_open_close.html also on windows.

Pushed by csabou@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/655cf16a5d61
Disable test_window_open_close.html on windows64 debug. r=bc

There are 29 total failures in the last 7 days on windows64 and windows64-qr debug. Looks like Cosmin's patch did not work because he user os == "windows" instead of os == "win"?
Made a new patch.

Jens can you assign someone to check this out and maybe make a fix and enable the test again?

Flags: needinfo?(jstutte)
Flags: needinfo?(jstutte)
Priority: P5 → P3
Depends on: 1558420

Bug 1558420 will fix this.

Status: NEW → RESOLVED
Closed: 5 months ago
No longer depends on: 1558420
Resolution: --- → DUPLICATE
Duplicate of bug: 1558420

It seems not (entirely) fixed by bug 1558420. Any thoughts?

Flags: needinfo?(ehsan)

It looks fixed to me. The recent failures come from mozilla-release (Firefox 71) and ESR 68. Bug 1558420 was fixed in Firefox 72.

Flags: needinfo?(ehsan)

Sorry, did not notice that the intermittents can refer to different repos.

You need to log in before you can comment on or make changes to this bug.